%define module_name hsflinmodem
%define module_version 5.03.27mbsibeta02122600
%define module_release alt1
%define module_source %module_name-%module_version.tar.bz2
%define module_source_dir %{module_name}-%{module_version}

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}-%{module_version}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} modules sources
License:       Distributable
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %{module_source}

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
%{module_name} modules sources for Linux kernel

%prep
%setup -c
mv %{module_source_dir} kernel-source-%{module_name}-%{module_version}

%install
mkdir -p %{buildroot}%{_usrsrc}/kernel/sources
tar -c kernel-source-%{module_name}-%{module_version} | bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%changelog
* Sun Sep 28 2003 Sergey Vlasov <vsu@altlinux.ru> 5.03.27mbsibeta02122600-alt1
- Reverted to 5.03.27mbsibeta02122600 (no need for Serial - the version is in
  the package name)

* Thu May 22 2003 Peter Novodvorsky <nidd@altlinux.com> 5.03.27lnxtbeta03042700-alt1
- initial release
